Debian Bug report logs - #641155
pu: package mdadm/3.1.4-1+8efb9d1+squeeze1

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Michael Tokarev <mjt@tls.msk.ru>

Date: Sat, 10 Sep 2011 21:12:04 UTC

Severity: normal

Tags: squeeze

Fixed in version 6.0.4

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#641155; Package release.debian.org. (Sat, 10 Sep 2011 21:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 10 Sep 2011 21:12:20 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: pkg-mdadm-devel@lists.alioth.debian.org
Subject: pu: package mdadm/3.1.4-1+8efb9d1+squeeze1
Date: Sun, 11 Sep 2011 01:09:35 +0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: pu
Severity: normal

Hello.

We'd like to upload a bugfix release of mdadm package for the
next squeeze point release.  There are mostly cosmetic changes,
but some of the bugs are very annoying and already made quite
some users unhappy - like the famous #598957, when mdadm monthly
cron job generated useless email messages about i/o scheduling
class for monthly array checks -- this bug alone prompted several
NMU attempts already.

There are a few other changes - some also minor/cosmetic (like
another two annoying monthly messages - #605722 and #618561) or
no monthly check at all in some cases (#611627) , and some are
more serious - like more appropriate dependency-based boot
ordering (#611632, #610421).

There are total of 6 bug fixes in this release.  The debdiff is
provided below.

The changes has been run-tested for the previously-buggy cases
and for common non-error cases and appears to work fine.

The upload has been prepared by me, Michael Tokarev, instead
of usual uploader martin f. krafft, -- I'm currently helping
with packaging mdadm.  I Cc'ed pkg-mdadm-devel@ to ensure
all mdadm maintainers will know about the proposed upload.

Please allow the upload to stable-p-u.

Thank you,

/mjt

diff -Nru mdadm-3.1.4/debian/changelog mdadm-3.1.4/debian/changelog
- --- mdadm-3.1.4/debian/changelog	2010-09-03 13:06:30.000000000 +0400
+++ mdadm-3.1.4/debian/changelog	2011-09-11 01:00:23.000000000 +0400
@@ -1,3 +1,25 @@
+mdadm (3.1.4-1+8efb9d1+squeeze1) stable; urgency=low
+
+  [ martin f. krafft ]
+  * Do not print io rescheduling info message when run by cron
+    (closes: #598957).
+  * Fix checkarray script so that it does not die after scheduling the first
+    device when there is no scheduling class specified; thanks to Mario
+    'BitKoenig' Holbe (closes: #611627).
+  * Schedule start/stop of mdadm-raid before/after filesystems are
+    checked&mounted/unmounted; thanks to Mario 'BitKoenig' Holbe
+    (closes: #611632).
+  * Make mdadm-raid init script depend on hostname; thanks to Mario
+   'BitKoenig' Holbe (closes: #610421).
+  * Work around a shell coding bug for cases when there are zero active
+    devices (closes: #618561).
+
+  [ Michael Tokarev ]
+  * don't print W: auto-read-only in checkarray in quiet mode,
+    thanks to Bernd Hanisch for the patch (Closes: #605722)
+
+ -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 10 Sep 2011 00:32:52 +0400
+
 mdadm (3.1.4-1+8efb9d1) unstable; urgency=low

   * Added patch with Makefile fix from upstream (commit 8efb9d1) to fix
diff -Nru mdadm-3.1.4/debian/checkarray mdadm-3.1.4/debian/checkarray
- --- mdadm-3.1.4/debian/checkarray	2010-09-03 12:44:09.000000000 +0400
+++ mdadm-3.1.4/debian/checkarray	2011-09-10 14:30:22.000000000 +0400
@@ -159,7 +159,7 @@
   fi

   if [ "$(cat /sys/block/$array/md/array_state)" = 'read-auto' ]; then
- -    echo "$PROGNAME: W: array $array in auto-read-only state, skipping..." >&2
+    [ $quiet -lt 1 ] && echo "$PROGNAME: W: array $array in auto-read-only state, skipping..." >&2
     continue
   fi

@@ -185,7 +185,7 @@
         low) arg='-c2 -n7';;
         high) arg='-c2 -n0';;
         realtime) arg='-c1 -n4';;
- -        *) break;;
+        *) continue;;
       esac

       resync_pid= wait=5
@@ -193,8 +193,8 @@
         wait=$((wait - 1))
         resync_pid=$(ps -ef | awk -v dev=$array 'BEGIN { pattern = "^\\[" dev "_resync]$" } $8 ~ pattern { print $2 }')
         if [ -n "$resync_pid" ]; then
- -          echo "$PROGNAME: I: selecting $ionice I/O scheduling class for resync of $array." >&2
- -          ionice -p "$resync_pid" $arg
+          [ $quiet -lt 1 ] && echo "$PROGNAME: I: selecting $ionice I/O scheduling class for resync of $array." >&2
+          ionice -p "$resync_pid" $arg || :
           break
         fi
         sleep 1
diff -Nru mdadm-3.1.4/debian/mdadm-raid mdadm-3.1.4/debian/mdadm-raid
- --- mdadm-3.1.4/debian/mdadm-raid	2010-09-03 12:44:09.000000000 +0400
+++ mdadm-3.1.4/debian/mdadm-raid	2011-09-11 00:46:23.000000000 +0400
@@ -8,10 +8,12 @@
 #
 ### BEGIN INIT INFO
 # Provides:          mdadm-raid
- -# Required-Start:    mountkernfs
+# Required-Start:    mountkernfs hostname
 # Should-Start:      udev devfsd
+# X-Start-Before:    checkfs mountall
 # Required-Stop:     mountkernfs
 # Should-Stop:       udev devfsd
+# X-Stop-After:      umountfs
 # Default-Start:     S
 # Default-Stop:      0 6
 # Short-Description: MD array assembly
@@ -172,6 +174,7 @@

         log_action_begin_msg "Generating udev events for MD arrays"
         for uevent in /sys/block/md*/uevent; do
+          test -e $uevent || break
           sentinel=${uevent#/sys/block/}; sentinel=${sentinel%/uevent}-uevent
           test -e ${STATEDIR:-/doesnotexist}/$sentinel && continue
           test -w $uevent || continue
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iJwEAQECAAYFAk5r0g8ACgkQUlPFrXTwyDiD4AP/WzaSf2UWw+qtHvfUN5V1BTZm
uqgHVcuac4tKkKgxzffh0kW87w9C84IAy4Zwl96D/x9uqiwDqekgBdM8HdmAQOUo
iKuZspzqgs+yKZ72a0UsMJ6DSSUXm7L8lAcoCG2XOOp4BOCn5dWMVm09Q4R+TIFw
8MJfg++2n9ZyZ7kXMkM=
=ClRL
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#641155; Package release.debian.org. (Sat, 10 Sep 2011 22:12:05 GMT) Full text and rfc822 format available.

Message #8 received at 641155@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Michael Tokarev <mjt@tls.msk.ru>, 641155@bugs.debian.org
Cc: pkg-mdadm-devel@lists.alioth.debian.org
Subject: Re: Bug#641155: pu: package mdadm/3.1.4-1+8efb9d1+squeeze1
Date: Sun, 11 Sep 2011 00:09:38 +0200
[Message part 1 (text/plain, inline)]
On Sun, Sep 11, 2011 at 01:09:35AM +0400, Michael Tokarev wrote:
> We'd like to upload a bugfix release of mdadm package for the
> next squeeze point release.  There are mostly cosmetic changes,
> but some of the bugs are very annoying and already made quite
> some users unhappy - like the famous #598957, when mdadm monthly
> cron job generated useless email messages about i/o scheduling
> class for monthly array checks -- this bug alone prompted several
> NMU attempts already.

See <4DBFA62F.1020404@debian.org> ff.  We require changes to be in unstable
first.  We really do.

So fix "your" package in unstable, let it be tested, and we'll look at it.  So
far all attempts have targetted stable only, which is the wrong approach.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#641155; Package release.debian.org. (Sun, 11 Sep 2011 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 11 Sep 2011 06:51:04 GMT) Full text and rfc822 format available.

Message #13 received at 641155@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Philipp Kern <pkern@debian.org>
Cc: 641155@bugs.debian.org, pkg-mdadm-devel@lists.alioth.debian.org
Subject: Re: Bug#641155: pu: package mdadm/3.1.4-1+8efb9d1+squeeze1
Date: Sun, 11 Sep 2011 10:46:27 +0400
On 11.09.2011 02:09, Philipp Kern wrote:
> On Sun, Sep 11, 2011 at 01:09:35AM +0400, Michael Tokarev wrote:
>> We'd like to upload a bugfix release of mdadm package for the
>> next squeeze point release.  There are mostly cosmetic changes,
>> but some of the bugs are very annoying and already made quite
>> some users unhappy - like the famous #598957, when mdadm monthly
>> cron job generated useless email messages about i/o scheduling
>> class for monthly array checks -- this bug alone prompted several
>> NMU attempts already.
> 
> See <4DBFA62F.1020404@debian.org> ff.  We require changes to be in unstable
> first.  We really do.

Understand.  It was my biggest concern actually, I didn't think it is
a good idea to go stright to stable without being in testing first,
even with the trivial changes this set.

> So fix "your" package in unstable, let it be tested, and we'll look at it.  So
> far all attempts have targetted stable only, which is the wrong approach.

So, what's the right course of actions here?  Yesterday we were about to
upload a more recent upstream version to unstable, with all the fixes and
alot more.

Now, I'm not sure it is a good idea anymore, since that version will not
go to squeeze obviously.

So I have to upload this "squeeze1" version to unstable, with one added
ugly fix for ftbfs with gcc-4.6.  Ugly because I don't want to apply a
more intrusive patch in order to fix -Wunused-but-set-variable (which
are all harmless) when targetting _stable_, instead I will have to remove
-Werror from the upstream makefile and let it build on _testing_, -- just
because I finally want it to appear in stable.

And once accepted into stable with this ugly change, I'll immediately revert
that -Werror change and upload new upstream into unstable.

Is that the right approach?

And what if we already had new upstream uploaded into unstable/testing?

I'm not complaining, I'm just trying to understand the rigth way... ;)

Thank you,

/mjt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#641155; Package release.debian.org. (Sun, 11 Sep 2011 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 11 Sep 2011 07:09:03 GMT) Full text and rfc822 format available.

Message #18 received at 641155@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: Philipp Kern <pkern@debian.org>, 641155@bugs.debian.org, pkg-mdadm-devel@lists.alioth.debian.org
Subject: Re: Bug#641155: pu: package mdadm/3.1.4-1+8efb9d1+squeeze1
Date: Sun, 11 Sep 2011 08:59:13 +0200
[Message part 1 (text/plain, inline)]
also sprach Michael Tokarev <mjt@tls.msk.ru> [2011.09.11.0846 +0200]:
> So I have to upload this "squeeze1" version to unstable,

No, we prepare 3.2.2-1 for unstable, which contains all the fixes we
propose for squeeze1. Once 3.2.2-1 moves to testing, we cherry-pick
the fixes into a new squeeze1 package.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"even a stopped clock gives the right time twice a day."
                                                            -- orbital
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Added tag(s) squeeze. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 18 Sep 2011 21:51:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#641155; Package release.debian.org. (Tue, 10 Jan 2012 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 10 Jan 2012 08:36:04 GMT) Full text and rfc822 format available.

Message #25 received at 641155@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Philipp Kern <pkern@debian.org>
Cc: 641155@bugs.debian.org, pkg-mdadm-devel@lists.alioth.debian.org
Subject: Re: Bug#641155: pu: package mdadm/3.1.4-1+8efb9d1+squeeze1
Date: Tue, 10 Jan 2012 12:33:18 +0400
[Message part 1 (text/plain, inline)]
In a previous life, on 11.09.2011 02:09, Philipp Kern wrote:
> On Sun, Sep 11, 2011 at 01:09:35AM +0400, Michael Tokarev wrote:
>> We'd like to upload a bugfix release of mdadm package for the
>> next squeeze point release.  There are mostly cosmetic changes,
>> but some of the bugs are very annoying and already made quite
>> some users unhappy - like the famous #598957, when mdadm monthly
>> cron job generated useless email messages about i/o scheduling
>> class for monthly array checks -- this bug alone prompted several
>> NMU attempts already.
> 
> See <4DBFA62F.1020404@debian.org> ff.  We require changes to be in unstable
> first.  We really do.
> 
> So fix "your" package in unstable, let it be tested, and we'll look at it.  So
> far all attempts have targetted stable only, which is the wrong approach.

So, after quite some time, I'm attempting another upload of mdadm to
stable-pu.  All the changes were sitting in testing for half a year,
and were backported into stable/squeeze version.

As before, the proposed changes are only in debian-specific areas of
the package, fixing several bugs in supporting/maintenance scripts.
Complete debdiff is attached.

Can we proceed with the update this time? :)

Thank you!

/mjt
[mdadm_3.1.4-1+8efb9d1+squeeze1.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#641155; Package release.debian.org. (Sat, 14 Jan 2012 15:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 14 Jan 2012 15:54:05 GMT) Full text and rfc822 format available.

Message #30 received at 641155@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Michael Tokarev <mjt@tls.msk.ru>, 641155@bugs.debian.org
Cc: Philipp Kern <pkern@debian.org>, pkg-mdadm-devel@lists.alioth.debian.org
Subject: Re: Bug#641155: pu: package mdadm/3.1.4-1+8efb9d1+squeeze1
Date: Sat, 14 Jan 2012 15:50:25 +0000
On Tue, 2012-01-10 at 12:33 +0400, Michael Tokarev wrote:
> So, after quite some time, I'm attempting another upload of mdadm to
> stable-pu.  All the changes were sitting in testing for half a year,
> and were backported into stable/squeeze version.
> 
> As before, the proposed changes are only in debian-specific areas of
> the package, fixing several bugs in supporting/maintenance scripts.
> Complete debdiff is attached.

Thanks for this.  A few (hopefully) quick queries.

+  * Fix checkarray script so that it does not die after scheduling the first
+    device when there is no scheduling class specified; thanks to Mario
+    'BitKoenig' Holbe (closes: #611627).

The fix for this includes this change:

-          ionice -p "$resync_pid" $arg
+          ionice -p "$resync_pid" $arg || :

I assume this is because $arg is unset and the ionice invocation thus
fails?  Wouldn't it better to check that the arguments are sane before
attempting to run ionice instead?

+  * Schedule start/stop of mdadm-raid before/after filesystems are
+    checked&mounted/unmounted; thanks to Mario 'BitKoenig' Holbe
+    (closes: #611632).
[...]
+  * Make mdadm-raid init script depend on hostname; thanks to Mario
+   'BitKoenig' Holbe (closes: #610421).

Have these changes to the LSB headers been tested on squeeze systems?

+  * Schedule start/stop of mdadm-raid before/after filesystems are
+    checked&mounted/unmounted; thanks to Mario 'BitKoenig' Holbe
+    (closes: #611632).

This change appears twice in the changelog.  Is this purely an editorial
issue or is there another change which isn't mentioned in the changelog?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#641155; Package release.debian.org. (Sat, 14 Jan 2012 16:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 14 Jan 2012 16:27:10 GMT) Full text and rfc822 format available.

Message #35 received at 641155@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 641155@bugs.debian.org, Philipp Kern <pkern@debian.org>, pkg-mdadm-devel@lists.alioth.debian.org
Subject: Re: Bug#641155: pu: package mdadm/3.1.4-1+8efb9d1+squeeze1
Date: Sat, 14 Jan 2012 20:23:50 +0400
On 14.01.2012 19:50, Adam D. Barratt wrote:
> On Tue, 2012-01-10 at 12:33 +0400, Michael Tokarev wrote:
>> So, after quite some time, I'm attempting another upload of mdadm to
>> stable-pu.  All the changes were sitting in testing for half a year,
>> and were backported into stable/squeeze version.
>>
>> As before, the proposed changes are only in debian-specific areas of
>> the package, fixing several bugs in supporting/maintenance scripts.
>> Complete debdiff is attached.
> 
> Thanks for this.  A few (hopefully) quick queries.
> 
> +  * Fix checkarray script so that it does not die after scheduling the first
> +    device when there is no scheduling class specified; thanks to Mario
> +    'BitKoenig' Holbe (closes: #611627).
> 
> The fix for this includes this change:
> 
> -          ionice -p "$resync_pid" $arg
> +          ionice -p "$resync_pid" $arg || :
> 
> I assume this is because $arg is unset and the ionice invocation thus
> fails?  Wouldn't it better to check that the arguments are sane before
> attempting to run ionice instead?

No, it is not due to empty $arg.  For the full details see the discussion
in the bugreport mentioned:

 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=611627#17

It wasn't my bugfix, but now when I look at it, the whole logic in the
inner loop appears to be questionable, or racy:

      echo $action > $SYNC_ACTION_CTL
      [ $quiet -lt 1 ] && echo "$PROGNAME: I: check queued for array $array." >&2
      ...
      resync_pid= wait=5
      while [ $wait -gt 0 ]; do
        wait=$((wait - 1))
        resync_pid=$(ps -ef | awk -v dev=$array 'BEGIN { pattern = "^\\[" dev "_resync]$" } $8 ~ pattern { print $2 }')
        if [ -n "$resync_pid" ]; then
          echo "$PROGNAME: I: selecting $ionice I/O scheduling class for resync of $array." >&2
          ionice -p "$resync_pid" $arg
          break
        fi
        sleep 1
      done

What it does here is triggers resync action and waits for
the kernel resync thread to appear, since it might appear
later.  It waits for the kernel thread for up to 5 secs.
Once it is found, checkarray tries to ionice this thread.
The change you're talking about is to fix one half of the
race condition: if the thread exits between the ps call but
before ionice, so ionice reports error and - due to set -e
in effect - whole thing terminates.

What the script does not take into account is that the thread
may start much later than 5 seconds, due to other arrays
being checked/resynced at the same time for example -- and
in this case no scheduling policy will be set for the thread
in question.

But this is still a minor race, in my opinion anyway.  I dont
want to change too much in there for squeeze at this stage.

The change you're talking about is harmless.

> +  * Schedule start/stop of mdadm-raid before/after filesystems are
> +    checked&mounted/unmounted; thanks to Mario 'BitKoenig' Holbe
> +    (closes: #611632).
> [...]
> +  * Make mdadm-raid init script depend on hostname; thanks to Mario
> +   'BitKoenig' Holbe (closes: #610421).
> 
> Have these changes to the LSB headers been tested on squeeze systems?

I tested these briefly, no extensive tests were done.  That's
probably my mistake, but the problem is that it's difficult to
come with some real testcases where this may go wrong.
But lemme recheck it again, I'll send a follow-up email.

> +  * Schedule start/stop of mdadm-raid before/after filesystems are
> +    checked&mounted/unmounted; thanks to Mario 'BitKoenig' Holbe
> +    (closes: #611632).
> 
> This change appears twice in the changelog.  Is this purely an editorial
> issue or is there another change which isn't mentioned in the changelog?

I haven't noticed.  This is purely due to merge error of two series of
changes for debian/changelog.  I'll fix this, thank you for spotting it.

Thank you!

/mjt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#641155; Package release.debian.org. (Sat, 14 Jan 2012 16:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 14 Jan 2012 16:42:07 GMT) Full text and rfc822 format available.

Message #40 received at 641155@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Michael Tokarev <mjt@tls.msk.ru>, 641155@bugs.debian.org
Cc: Philipp Kern <pkern@debian.org>, pkg-mdadm-devel@lists.alioth.debian.org
Subject: Re: Bug#641155: pu: package mdadm/3.1.4-1+8efb9d1+squeeze1
Date: Sat, 14 Jan 2012 16:40:18 +0000
On Sat, 2012-01-14 at 20:23 +0400, Michael Tokarev wrote:
> On 14.01.2012 19:50, Adam D. Barratt wrote:
> > +  * Fix checkarray script so that it does not die after scheduling the first
> > +    device when there is no scheduling class specified; thanks to Mario
> > +    'BitKoenig' Holbe (closes: #611627).
> > 
> > The fix for this includes this change:
> > 
> > -          ionice -p "$resync_pid" $arg
> > +          ionice -p "$resync_pid" $arg || :
> > 
> > I assume this is because $arg is unset and the ionice invocation thus
> > fails?  Wouldn't it better to check that the arguments are sane before
> > attempting to run ionice instead?
> 
> No, it is not due to empty $arg.  For the full details see the discussion
> in the bugreport mentioned:
> 
>  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=611627#17
[...]
> The change you're talking about is to fix one half of the
> race condition: if the thread exits between the ps call but
> before ionice, so ionice reports error and - due to set -e
> in effect - whole thing terminates.

Ah, thanks for the explanation.

> > +  * Schedule start/stop of mdadm-raid before/after filesystems are
> > +    checked&mounted/unmounted; thanks to Mario 'BitKoenig' Holbe
> > +    (closes: #611632).
> > [...]
> > +  * Make mdadm-raid init script depend on hostname; thanks to Mario
> > +   'BitKoenig' Holbe (closes: #610421).
> > 
> > Have these changes to the LSB headers been tested on squeeze systems?
> 
> I tested these briefly, no extensive tests were done.  That's
> probably my mistake, but the problem is that it's difficult to
> come with some real testcases where this may go wrong.
> But lemme recheck it again, I'll send a follow-up email.

Thanks.  I'm a little paranoid when it comes to changes that affect
things like when RAID scripts run. :-)

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#641155; Package release.debian.org. (Wed, 18 Jan 2012 12:57:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 Jan 2012 12:57:54 GMT) Full text and rfc822 format available.

Message #45 received at 641155@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 641155@bugs.debian.org, Philipp Kern <pkern@debian.org>, pkg-mdadm-devel@lists.alioth.debian.org
Subject: Re: Bug#641155: pu: package mdadm/3.1.4-1+8efb9d1+squeeze1
Date: Wed, 18 Jan 2012 16:55:02 +0400
On 14.01.2012 20:40, Adam D. Barratt wrote:
[]
>>> +  * Schedule start/stop of mdadm-raid before/after filesystems are
>>> +    checked&mounted/unmounted; thanks to Mario 'BitKoenig' Holbe
>>> +    (closes: #611632).
>>> [...]
>>> +  * Make mdadm-raid init script depend on hostname; thanks to Mario
>>> +   'BitKoenig' Holbe (closes: #610421).
>>>
>>> Have these changes to the LSB headers been tested on squeeze systems?
>>
>> I tested these briefly, no extensive tests were done.  That's
>> probably my mistake, but the problem is that it's difficult to
>> come with some real testcases where this may go wrong.
>> But lemme recheck it again, I'll send a follow-up email.
> 
> Thanks.  I'm a little paranoid when it comes to changes that affect
> things like when RAID scripts run. :-)

I tested the resulting package in kvm virtual machine in several
different configurations, and it appears to work fine.  The boot
ordering is correct too, with and without lvm.  Sorry it took a
bit more time than I wanted it to take, -- testing is always
time-consuming and I had to install/reinstall several times to
test several configurations.

I also removed the duplicate changelog entry.

So I think it is ready to be uploaded to pu.  Should I do so or
should I post another debdiff for review?

Thanks,

/mjt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#641155; Package release.debian.org. (Wed, 18 Jan 2012 13:36:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 Jan 2012 13:36:58 GMT) Full text and rfc822 format available.

Message #50 received at 641155@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Michael Tokarev <mjt@tls.msk.ru>, <641155@bugs.debian.org>
Cc: Philipp Kern <pkern@debian.org>, <pkg-mdadm-devel@lists.alioth.debian.org>
Subject: Re: Bug#641155: pu: package mdadm/3.1.4-1+8efb9d1+squeeze1
Date: Wed, 18 Jan 2012 13:34:39 +0000
On 18.01.2012 12:55, Michael Tokarev wrote:
> On 14.01.2012 20:40, Adam D. Barratt wrote:
> []
>>>> +  * Schedule start/stop of mdadm-raid before/after filesystems 
>>>> are
>>>> +    checked&mounted/unmounted; thanks to Mario 'BitKoenig' Holbe
>>>> +    (closes: #611632).
>>>> [...]
>>>> +  * Make mdadm-raid init script depend on hostname; thanks to 
>>>> Mario
>>>> +   'BitKoenig' Holbe (closes: #610421).
>>>>
>>>> Have these changes to the LSB headers been tested on squeeze 
>>>> systems?
[...]
> I tested the resulting package in kvm virtual machine in several
> different configurations, and it appears to work fine.  The boot
> ordering is correct too, with and without lvm.  Sorry it took a
> bit more time than I wanted it to take, -- testing is always
> time-consuming and I had to install/reinstall several times to
> test several configurations.

Thanks.

> I also removed the duplicate changelog entry.
>
> So I think it is ready to be uploaded to pu.  Should I do so or
> should I post another debdiff for review?

If the only change since the previous debdiff is the removal of the 
duplicate changelog entry, please go ahead.  If there's anything else, 
an updated debdiff and summary of the changes would be appreciated.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#641155; Package release.debian.org. (Wed, 18 Jan 2012 13:48:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 Jan 2012 13:48:22 GMT) Full text and rfc822 format available.

Message #55 received at 641155@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 641155@bugs.debian.org, Philipp Kern <pkern@debian.org>, pkg-mdadm-devel@lists.alioth.debian.org
Subject: Re: Bug#641155: pu: package mdadm/3.1.4-1+8efb9d1+squeeze1
Date: Wed, 18 Jan 2012 17:45:12 +0400
On 18.01.2012 17:34, Adam D. Barratt wrote:
[]
>> So I think it is ready to be uploaded to pu.  Should I do so or
>> should I post another debdiff for review?
> 
> If the only change since the previous debdiff is the removal of the duplicate changelog entry, please go ahead.  If there's anything else, an updated debdiff and summary of the changes would be appreciated.

Yes the only change is the removal of the changelog duplicate
which you found out.  I rebuilt the package anyway, ofcourse.

Now uploaded.

Thanks,

/mjt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#641155; Package release.debian.org. (Sat, 21 Jan 2012 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 21 Jan 2012 17:06:03 GMT) Full text and rfc822 format available.

Message #60 received at 641155@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Michael Tokarev <mjt@tls.msk.ru>, 641155@bugs.debian.org
Cc: Philipp Kern <pkern@debian.org>, pkg-mdadm-devel@lists.alioth.debian.org
Subject: Re: Bug#641155: pu: package mdadm/3.1.4-1+8efb9d1+squeeze1
Date: Sat, 21 Jan 2012 17:03:35 +0000
tag 641155 + pending
thanks

On Wed, 2012-01-18 at 17:45 +0400, Michael Tokarev wrote:
> On 18.01.2012 17:34, Adam D. Barratt wrote:
> []
> >> So I think it is ready to be uploaded to pu.  Should I do so or
> >> should I post another debdiff for review?
> > 
> > If the only change since the previous debdiff is the removal of the duplicate changelog entry, please go ahead.  If there's anything else, an updated debdiff and summary of the changes would be appreciated.
> 
> Yes the only change is the removal of the changelog duplicate
> which you found out.  I rebuilt the package anyway, ofcourse.
> 
> Now uploaded.

(As you know, but) for the record, this was accepted a few days ago.

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 21 Jan 2012 17:06:04 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.4, send any further explanations to Michael Tokarev <mjt@tls.msk.ru> Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 28 Jan 2012 14:06:21 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Feb 2012 07:36:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:49:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.